local keymap = vim.api.nvim_set_keymap
local default_ops = { noremap = true, silent = true }
local settings = vim.opt

vim.g.mapleader = '\\'

-- Set up 
settings.colorcolumn = "80"

-- Execute file
keymap('n', '<F5>', ":w<CR>:exec '!clear;python' shellescape(@%, 1)<CR>", default_ops)

-- Handy stuff
keymap('n', '<Leader>m', 'iif __name__ == "__main__":<Esc>o<Tab>main()<Esc>o<Bs><Bs><Esc>', default_ops)
-- keymap('n', '<Leader>f', 'idef ():<Esc>bi', default_ops)

-- Comment/Uncomment
keymap('n', '<Leader>\\', '0i# <Esc>', default_ops)
keymap('n', '<Leader>-', '0xx', default_ops)
keymap('v', '<Leader>\\', '<C-v>kI# <Esc>', default_ops)
keymap('v', '<Leader>-', '<C-v>klx<Esc>', default_ops)

-- Indenting
keymap('v', '<', '<gv', default_ops)
keymap('v', '>', '>gv', default_ops)
